<?xml version="1.0" encoding="utf-8"?>
<navigation xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:id="@+id/graphDraft"
    app:startDestination="@id/draftHistoryFragment">

    <fragment
        android:id="@+id/draftHistoryFragment"
        android:name="com.erg.almagestdota.draft.presentation.draft_history.DraftHistoryFragment"
        tools:layout="@layout/draft_history_fragment">

        <action
            android:id="@+id/to_draftFragment"
            app:destination="@id/graphDraftFromLive" />

        <action
            android:id="@+id/to_gameModeSelectionFragment"
            app:destination="@id/gameModeSelectionFragment" />
    </fragment>

    <fragment
        android:id="@+id/gameModeSelectionFragment"
        android:name="com.erg.almagestdota.draft.presentation.game_mode_selection.GameModeSelectionFragment"
        tools:layout="@layout/game_mode_selection_fragment">

        <action
            android:id="@+id/to_draftFragment"
            app:destination="@id/graphDraftFromLive" />

        <action
            android:id="@+id/to_teamSelectorSheet"
            app:destination="@id/teamSelectorSheet" />

        <action
            android:id="@+id/to_playerIdsSheet"
            app:destination="@id/playerIdsSheet" />
    </fragment>

    <bottomsheet
        android:id="@+id/playerIdsSheet"
        android:name="com.erg.almagestdota.draft.presentation.game_mode_selection.enter_ids_sheet.PlayerIdsSheet"
        tools:layout="@layout/player_ids_sheet">
        <argument
            app:argType="boolean"
            android:name="isRadiant"/>

    </bottomsheet>

    <include
        app:graph="@navigation/navigation_draft_from_live"
        app:destination="@id/graphDraftFromLive" />

    <include
        app:graph="@navigation/navigation_team_selection"
        app:destination="@id/graphTeamSelection" />

</navigation>